Scene1 = {}
Scene1.new = function ()
    
    local this = {}

    this.id = "モチつきシーン"
    
    this.backGround = love.graphics.newImage ( "background.png" )

    this.images = {
        love.graphics.newImage ( "mochi01_600_600.png" ),
        love.graphics.newImage ( "mochi02_600_600.png" ),
        love.graphics.newImage ( "mochi03_600_600.png" ),
        love.graphics.newImage ( "mochi04_600_600.png" ),
        love.graphics.newImage ( "mochi05_600_600.png" )
    }
    
    this.imageIndex = 1
    this.imageFramcount = 0
    

    

    --=========================================================
    -- 更新
    --=========================================================
    this.update = function(self, dt)

        self.imageFramcount = self.imageFramcount + 1
        if ( self.imageFramcount > 4 ) then
            
            self.imageFramcount = 0
            
            self.imageIndex = self.imageIndex + 1
            if ( self.imageIndex > #self.images ) then
                
                self.imageIndex = 1
                
            end
        end
        
    end
    
    --=========================================================
    -- 描画
    --=========================================================
    this.draw = function(self)
        
        love.graphics.draw ( self.backGround, 80, 60 )
        
        love.graphics.draw (
            self.images[self.imageIndex], 400, 300, 0, 1, 1,
            self.images[self.imageIndex]:getWidth()/2,
            self.images[self.imageIndex]:getHeight()/2
        )
        
    end
    

    
    

    --=========================================================
    -- マウスボタン受付
    --=========================================================
    this.mousereleased = function ( self, x, y, buttonNum )
    
        if ( buttonNum == 1 ) then
            
            sceneManager:changeScene("scene2")
        
        end
        
    end
    

    
    

    --=========================================================
    -- シーン開始
    --=========================================================
    this.enter = function(self)
        print("開始："..self.id)
        
        
    end
    --=========================================================
    -- シーン終了
    --=========================================================
    this.leave = function(self)
        print("終了："..self.id)

    end
    

    return this
end
