require( "sceneManager" )

-- 読み込み
function love.load ()
    sceneManager = SceneManager.new()
    sceneManager:init()
end

-- 更新
function love.update (dt)
    sceneManager:update(dt)
end

-- 描画
function love.draw ()
    sceneManager:draw()

	-- FPS表示
	love.graphics.setColor(0,0,0,1)
	love.graphics.print ( "FPS : "..love.timer.getFPS() , 0, 0)
	love.graphics.setColor(1,1,1,1)
end


-- マウス入力受付
function love.mousereleased ( x, y, buttonNum, istouch )
    sceneManager:mousereleased ( x, y, buttonNum )
end
